function [A,B,B1,methodName] = system(method,M,K,C,Mout,Cout,dt)


switch method
    case 1  %Crank-Nicolson + Galerkin
         B1=0;
        A = M - 1/2*dt*C'+ 1/2*dt*Mout;
        B = dt*C'-dt*Mout;
        methodName = 'CN';
    case 2 %TG3-2
        alpha = cinput('enter value of alpha for TG3-2',1/9);
        A = M ;
        B = 1/3*dt*C'- alpha*(dt^2)*K;
        B1 = dt*C' - 1/2*(dt^2)*K;
        methodName = 'TG-3';
    otherwise
        error('not available method')
end
